name: 👉 Template to Readme

on:
  push:
  workflow_dispatch:
jobs:
  build:
    runs-on: ubuntu-latest

    steps:
    - name: Checkout
      uses: actions/checkout@v2

    - name: Setup Python
      uses: actions/setup-python@v1
      with:
          python-version: "3.9"
          architecture: "x64"

    - name: Template to Readme
      run: |-
        python _ci.py
        cat README.md

    - name: Load to GitHub
      run: |-
        git diff
        git config --global user.email "noreply@walkx.org"
        git config --global user.name "Template to Readme"
        git add -A
        git commit -m "👉 Converts _template to readme" || exit 0
        git push
